---
lang: en
title: 'API docs: context.inject.tag'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.inject.tag.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [inject](./context.inject.md) &gt; [tag](./context.inject.tag.md)

## inject.tag variable

Inject an array of values by a tag pattern string or regexp

**Signature:**

```typescript
tag: (bindingTag: BindingTag | RegExp, metadata?: InjectionMetadata) => (target: Object, member: string | undefined, methodDescriptorOrParameterIndex?: number | TypedPropertyDescriptor<any> | undefined) => void
```

## Example


```ts
class AuthenticationManager {
  constructor(
    @inject.tag('authentication.strategy') public strategies: Strategy[],
  ) {}
}
```


